Bug 1020264 - [JBT]Could not add cartridge to the app via JBoss Tools
[JBT]Could not add cartridge to the app via JBoss Tools
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: REST API (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 07:09 EDT by Wei Sun
Modified: 2015-05-14 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-17 07:09:09 EDT
Description of problem:
Create an application via JBossTools,and try to add cartridge to this app,but could not add it successfully.It shows error messages
"

    Could not embed cartridges for application ews1
    Could not request https://54.205.106.245/broker/rest/domain/wsunjbt3907/application/ews1/cartridges: Error in parameters. Cannot determine cartridge. Use 'cartridge'/'name'/'url'

"

This bug could not be reproduced on STG(devenv-stage_498)

Version-Release number of selected component (if applicable):
JBossTools-4.1.1.Alpha2
openshift plugin version : 2.5.1.Alpha2-v20130927-0359-B91
devenv_3907

How reproducible:
Always

Steps to Reproduce:
1.Create an application via JBossTools
2.Add cartridge to this cartridge via JBossTools
3.

Actual results:
Could not add cartridge to the app successfully

Expected results:
Could add cartridge to the app successfully

Additional info:
Check development.log

2013-10-17 07:00:46.453 [INFO ] Started POST "/broker/rest/domain/wsunjbt3907/application/ews1/cartridges" for 203.114.244.88 at 2013-10-17 07:00:46 -0400 (pid:21022)
2013-10-17 07:00:46.459 [INFO ] Processing by EmbCartController#create as JSON (pid:21022)
2013-10-17 07:00:46.459 [INFO ] Parameters: {"cartridge"=>{"name"=>"cron-1.4"}, "domain_id"=>"wsunjbt3907", "application_id"=>"ews1", "emb_cart"=>{"cartridge"=>{"name"=>"cron-1.4"}}} (pid:21022)
2013-10-17 07:00:46.460 [DEBUG] API version 1.2 (pid:21022)
2013-10-17 07:00:46.463 [DEBUG] SUCCESS ACTION=AUTHENTICATE USER_ID=525f7770c9083ac697000001 LOGIN=wsun@redhat.com IP=203.114.244.88 SCOPES=session Authenticated (pid:21022)
2013-10-17 07:00:46.467 [DEBUG] SUCCESS ACTION=ADD_APP_CARTRIDGE USER_ID=525f7770c9083ac697000001 LOGIN=wsun@redhat.com APP_UUID=525fb397c9083aa045000120 DOMAIN=wsunjbt3907 Error in parameters. Cannot determine cartridge. Use 'cartridge'/'name'/'url' (pid:21022)
Comment 1 Ravi Sankar 2013-10-17 17:41:23 EDT
Fixed in https://github.com/openshift/origin-server/pull/3919
Comment 2 weiwei jiang 2013-10-21 02:25:11 EDT
Tried on devenv_3921 with JBossTools-4.1.1.Alpha2, and work as normal. so verified this issue.

Note You need to log in before you can comment on or make changes to this bug.